/***************************************************************************
 *   Copyright (C) 2004 by Stefano                                         *
 *   stefano@xiaprojects.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include <xEPlugin_Sounds.h>
#include <kstandarddirs.h>
#include <kaudioplayer.h>
#include "xEPlugin_Sounds.moc"


extern "C" QObject *xeplugin_register(QObject *parent)
//extern "C" void xeplugin_register()
{
	qWarning("XEPlugin_Sounds xeplugin_register()");
	return new XEPlugin_Sounds(parent,"xEPlugin_Sounds");
}

int main()
{
	qWarning("You cannot run this plugin, let's kxdocker load it");
	return 0;
}


XEPlugin_Sounds::XEPlugin_Sounds(QObject *parent, const char *name)
 : QObject(parent, name)
{
	xGDocker=NULL;
}


XEPlugin_Sounds::~XEPlugin_Sounds()
{
}




void XEPlugin_Sounds::xSetup()
{
	qWarning("GBattery::xSetup()");
	connect(this,SIGNAL(xGetDocker(QObject *&)),parent(),SLOT(xGetDocker(QObject *&)));
	xGetDocker(xGDocker);
	
	connect(xGDocker,SIGNAL(xEventMouseClick(int,int,int,int)),
		this,SLOT(xEventMouseClick(int,int,int,int)));
	connect(xGDocker,SIGNAL(xEventDockerShowed()),
		this,SLOT(xEventDockerShowed()));
	connect(xGDocker,SIGNAL(xEventDockerHidden()),
		this,SLOT(xEventDockerHidden()));
}



void XEPlugin_Sounds::xStart()
{
	QString a=::locate("data","kxdocker/sounds/start.wav");
	qWarning(a);
        KAudioPlayer::play(a);
}


void XEPlugin_Sounds::xStop()
{
}


void XEPlugin_Sounds::xEventMouseClick(int,int,int,int)
{
	QString a=::locate("data","kxdocker/sounds/menu.wav");
	qWarning(a);
        KAudioPlayer::play(a);
}
void XEPlugin_Sounds::xEventDockerShowed()
{
	QString a=::locate("data","kxdocker/sounds/show.wav");
	qWarning(a);
        KAudioPlayer::play(a);
}
void XEPlugin_Sounds::xEventDockerHidden()
{
	QString a=::locate("data","kxdocker/sounds/hide.wav");
	qWarning(a);
        KAudioPlayer::play(a);
}

